Changeset 12962


Ignore:
Timestamp:
2006-10-02T16:41:57+13:00 (18 years ago)
Author:
kjdon
Message:

iconv_open check doesn't work on the Mac, not sure how to make it work. For now, just comment out this test

Location:
trunk/gsdl/packages/unac
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/gsdl/packages/unac/configure

    r12890 r12962  
    84258425
    84268426
    8427 
    8428 for ac_func in iconv_open
    8429 do
    8430 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
    8431 echo "$as_me:$LINENO: checking for $ac_func" >&5
    8432 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
    8433 if eval "test \"\${$as_ac_var+set}\" = set"; then
    8434   echo $ECHO_N "(cached) $ECHO_C" >&6
    8435 else
    8436   cat >conftest.$ac_ext <<_ACEOF
    8437 /* confdefs.h.  */
    8438 _ACEOF
    8439 cat confdefs.h >>conftest.$ac_ext
    8440 cat >>conftest.$ac_ext <<_ACEOF
    8441 /* end confdefs.h.  */
    8442 /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
    8443    For example, HP-UX 11i <limits.h> declares gettimeofday.  */
    8444 #define $ac_func innocuous_$ac_func
    8445 
    8446 /* System header to define __stub macros and hopefully few prototypes,
    8447     which can conflict with char $ac_func (); below.
    8448     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    8449     <limits.h> exists even on freestanding compilers.  */
    8450 
    8451 #ifdef __STDC__
    8452 # include <limits.h>
    8453 #else
    8454 # include <assert.h>
    8455 #endif
    8456 
    8457 #undef $ac_func
    8458 
    8459 /* Override any gcc2 internal prototype to avoid an error.  */
    8460 #ifdef __cplusplus
    8461 extern "C"
    8462 {
    8463 #endif
    8464 /* We use char because int might match the return type of a gcc2
    8465    builtin and then its argument prototype would still apply.  */
    8466 char $ac_func ();
    8467 /* The GNU C library defines this for functions which it implements
    8468     to always fail with ENOSYS.  Some functions are actually named
    8469     something starting with __ and the normal name is an alias.  */
    8470 #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
    8471 choke me
    8472 #else
    8473 char (*f) () = $ac_func;
    8474 #endif
    8475 #ifdef __cplusplus
    8476 }
    8477 #endif
    8478 
    8479 int
    8480 main ()
    8481 {
    8482 return f != $ac_func;
    8483   ;
    8484   return 0;
    8485 }
    8486 _ACEOF
    8487 rm -f conftest.$ac_objext conftest$ac_exeext
    8488 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    8489   (eval $ac_link) 2>conftest.er1
    8490   ac_status=$?
    8491   grep -v '^ *+' conftest.er1 >conftest.err
    8492   rm -f conftest.er1
    8493   cat conftest.err >&5
    8494   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    8495   (exit $ac_status); } &&
    8496      { ac_try='test -z "$ac_c_werror_flag"
    8497              || test ! -s conftest.err'
    8498   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    8499   (eval $ac_try) 2>&5
    8500   ac_status=$?
    8501   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    8502   (exit $ac_status); }; } &&
    8503      { ac_try='test -s conftest$ac_exeext'
    8504   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    8505   (eval $ac_try) 2>&5
    8506   ac_status=$?
    8507   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    8508   (exit $ac_status); }; }; then
    8509   eval "$as_ac_var=yes"
    8510 else
    8511   echo "$as_me: failed program was:" >&5
    8512 sed 's/^/| /' conftest.$ac_ext >&5
    8513 
    8514 eval "$as_ac_var=no"
    8515 fi
    8516 rm -f conftest.err conftest.$ac_objext \
    8517       conftest$ac_exeext conftest.$ac_ext
    8518 fi
    8519 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
    8520 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
    8521 if test `eval echo '${'$as_ac_var'}'` = yes; then
    8522   cat >>confdefs.h <<_ACEOF
    8523 #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
    8524 _ACEOF
    8525 
    8526 else
    8527   { { echo "$as_me:$LINENO: error:
    8528 iconv_open not found try to install replacement from
    8529 http://www.gnu.org/software/libiconv/
    8530 ftp://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.8.tar.gz" >&5
    8531 echo "$as_me: error:
    8532 iconv_open not found try to install replacement from
    8533 http://www.gnu.org/software/libiconv/
    8534 ftp://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.8.tar.gz" >&2;}
    8535    { (exit 1); exit 1; }; }
    8536 fi
    8537 done
    8538 
     8427#AC_CHECK_FUNCS(iconv_open,,AC_MSG_ERROR([
     8428#iconv_open not found try to install replacement from
     8429#http://www.gnu.org/software/libiconv/
     8430#ftp://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.8.tar.gz]))
    85398431
    85408432
  • trunk/gsdl/packages/unac/configure.ac

    r12890 r12962  
    4444AM_ICONV
    4545
    46 AC_CHECK_FUNCS(iconv_open,,AC_MSG_ERROR([
    47 iconv_open not found try to install replacement from
    48 http://www.gnu.org/software/libiconv/
    49 ftp://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.8.tar.gz]))
     46#AC_CHECK_FUNCS(iconv_open,,AC_MSG_ERROR([
     47#iconv_open not found try to install replacement from
     48#http://www.gnu.org/software/libiconv/
     49#ftp://ftp.gnu.org/pub/gnu/libiconv/libiconv-1.8.tar.gz]))
    5050
    5151AC_CHECK_FUNCS(vsnprintf)
Note: See TracChangeset for help on using the changeset viewer.